/* .hero-area {
  overflow-x: hidden;
} */

@-webkit-keyframes blip {
  0% {
    box-shadow: 0 0 12px 4px rgba(102, 212, 141, 0.5),
      0 0 20px 5px rgba(102, 212, 141, 0.5);
  }
  50% {
    box-shadow: 0 0 0 150px rgba(102, 212, 141, 0.5),
      0 0 0 120px rgba(102, 212, 141, 0.5);
  }
  100% {
    box-shadow: 0 0 12px 4px rgba(102, 212, 141, 0.5),
      0 0 20px 5px rgba(102, 212, 141, 0.5);
  }
}

@keyframes blip {
  0% {
    box-shadow: 0 0 12px 4px rgba(102, 212, 141, 0.5),
      0 0 20px 5px rgba(102, 212, 141, 0.5);
  }
  50% {
    box-shadow: 0 0 0 150px rgba(102, 212, 141, 0.5),
      0 0 0 120px rgba(102, 212, 141, 0.5);
  }
  100% {
    box-shadow: 0 0 12px 4px rgba(102, 212, 141, 0.5),
      0 0 20px 5px rgba(102, 212, 141, 0.5);
  }
}

.blip {
  -webkit-animation-name: blip;
  animation-name: blip;
}

@-webkit-keyframes fadeInLeft {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-20px);
    transform: translateX(-20px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}

@keyframes fadeInLeft {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-20px);
    -ms-transform: translateX(-20px);
    transform: translateX(-20px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
  }
}

.fadeInLeft {
  -webkit-animation-name: fadeInLeft;
  animation-name: fadeInLeft;
}

.sparkle-banner-image {
  height: 100vh;
}

@media (min-width: 360px) and (max-width: 991px) {
  .sparkle-banner-image {
    height: min(100vh, 630px);
  }
}

.hero-main {
  height: 100vh;
  width: 100%;
  object-fit: cover;
  background: url("../images/sparkle-plus/sparkle-hero-bg-light.png");
}

.banner-bottom-image {
  z-index: 10;
  position: relative;
  height: 170px;
}

.banner-bottom-image::before {
  z-index: 20;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: linear-gradient(to top, #1d2621 10%, rgba(24, 71, 44, 0) 63.9%);
}

.turbofan-container {
  bottom: 40%;
  gap: 10px;
}

.swiper-buttons .swiper-button-nxt img,
.swiper-buttons .swiper-button-prv img {
  height: 30px;
  width: 30px;
}

@media (max-width: 600px) {
  .turbofan-container {
    justify-content: center !important;
    bottom: 26%;
  }
  .turbofan-container img:last-child {
    display: none;
  }
}

.turbofan-container img {
  object-fit: cover;
}

.turbofan-container img {
  margin-bottom: -7%;
}

@media (max-width: 767px) {
  .turbofan-container img {
    width: 350px;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .turbofan-container img {
    width: 280px;
  }
}

@media (max-width: 430px) {
  .turbofan-container {
    justify-content: center !important;
  }
  .turbofan-container img {
    margin-bottom: -14%;
  }
  .turbofan-container img:nth-child(2) {
    display: none;
  }
}

/* .sparkle-plus {
  overflow-x: hidden;
} */

.title-area {
  top: 20%;
  z-index: 70;
}

.title-dark,
.title-light {
  font-size: 1.8rem;
  line-height: 2.275rem;
  letter-spacing: 5px;
}

.title-action {
  border: 1px solid hsla(145, 81%, 29%, 1);
  color: hsla(138, 85%, 19%, 1);
  background-color: transparent;
  border-radius: 64px;
}

.title-action:hover {
  color: hsla(138, 85%, 19%, 1);
}

.sparkle-plus .banner-text {
  top: 40%;
}

@media (min-width: 1024px) {
  .title-area {
    top: 30%;
  }

  .title-action {
    width: 120px;
  }

  .title-dark,
  .title-light {
    font-size: 30px;
    line-height: 40px;
  }
}

.title-light {
  letter-spacing: 4%;
}

.title-dark {
  color: hsla(21, 34%, 11%, 0.9);
}

.title-light {
  color: hsla(21, 34%, 11%, 0.9);
}

.title-bottom {
  z-index: 70;
}

.smart-title {
  background: linear-gradient(92.53deg, #0dac50 2.11%, #070231 30.68%);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  font-family: var(--font-title);
  letter-spacing: -1.1%;
}

.smart-description {
  font-size: 22px;
  line-height: 26.4px;
  letter-spacing: -1.1%;
}

.smart-border {
  border: 1px solid #0dac5099;
}

.smart-bg-light {
  background: linear-gradient(170.13deg, #f0fde9 33.56%, #c0ff9e 240.54%);
}

.smart-font-highlight {
  background: linear-gradient(228.45deg, #b7fbd2 -96.65%, #0dac50 91.4%);
  color: var(--white);
  border-radius: 11px;
}

.smart-font {
  font-size: 35px !important;
  line-height: 45px !important;
}

.smart-card-description {
  font-size: 1rem;
  line-height: 22.4px;
}

.smart-padding {
  padding: 40px;
}

.font-green {
  color: #0a420a;
}

.font-light-green {
  background: linear-gradient(90deg, #0e8741 0%, #18422a 100%);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  font-size: 12px;
  font-style: italic;
}

.smart-water-description {
  font-size: 1rem;
  line-height: 19px;
}

.smart-bg-section {
  background: linear-gradient(146.69deg, #f0fde9 40.12%, #c0ff9e 198.11%);
}

.smart-bg-blue {
  background: linear-gradient(199.01deg, #40a2e3 -2.2%, #c9bcfa 77.65%);
}

.bg-white {
  background-color: var(--white);
}

.smart-water-title {
  font-size: 22px;
}

.blue-title {
  background: linear-gradient(90deg, #18417c 0%, #2b77e2 100%);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

.blue-description {
  color: #1d3659;
}

.smart-card {
  border-radius: 20px;
}

@media (min-width: 1024px) {
  .smart-font {
    font-size: 30px !important;
    line-height: 34px !important;
  }

  .smart-card-description {
    font-size: 20px;
    line-height: 28px;
  }

  .smart-padding {
    padding: 40px;
  }

  .font-light-green {
    font-size: 20px;
  }
}

@media (max-width: 430px) {
  .smart-section img {
    width: 120px;
    height: 120px;
  }
}

.power-slider .swiper-wrapper {
  align-items: center;
  padding-block: 80px;
}

.power-slider-info .swiper-slide {
  background-color: #e7f4fc;
  /* opacity: 25%; */
  border-radius: 24px;
  padding: 20px 30px;
}

.power-slider-title-main {
  line-height: 24px;
  margin-bottom: 6px;
}

@media (min-width: 1024px) {
  .power-slider-title-main {
    line-height: 40px;
  }
}

.power-slider-info .swiper-slide .sectionDetails {
  text-align: center;
  font-size: 20px;
}

.power-slider-info .swiper-slide .sectionDetails div {
  background: linear-gradient(90deg, #40a2e3 0%, #0969b1 100%);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  font-weight: 550;
}

.power-slider .swiper-wrapper .swiper-slide img {
  object-fit: cover;
  object-position: center;
}

.power-slider-info .swiper-slide .sectionDetails p {
  font-size: 16px;
}

@media (min-width: 768px) {
  .power-slider-info.swiper {
    width: 70%;
  }
}

@media (min-width: 1024px) {
  .power-slider-info.swiper {
    width: 50%;
  }
}

.water-container {
  border: 1px solid #1057304d;
  border-radius: 30px;
  padding: 10px;
}

.water-container img {
  border-radius: 20px;
}

@media (max-width: 430px) {
  .water-container {
    border-radius: 20px;
    padding: 10px;
  }

  .water-container img {
    border-radius: 10px;
  }
}

/* Zero Water Discharge css */

.custom-card {
  padding: 20px;
}

.zero-water-content-box {
  min-width: 250px;
}

.content-item {
  display: flex;
  justify-content: flex-end;
  gap: 16px;
  padding: 10px 0;
  font-size: 14px;
  color: var(--color-secondary);
  font-weight: 600;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.content-item.active {
  font-weight: bolder;
  /* font-size: 16px; */
  color: green;
  transform: scale(1.05);
}

.content-item:hover {
  color: green;
}

.water-info-item {
  display: none !important;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease, visibility 0.5s ease;
}

.water-info-item > div {
  font-size: 18px;
}

.water-info-item > p {
  font-size: 1rem;
}

.water-info-item.active {
  display: flex !important;
  opacity: 1;
  visibility: visible;
}

.water-info-item.fadeInRight {
  animation: fadeInRight 1s forwards;
}

.content-item-box {
  width: 30px;
  display: flex;
  align-items: center;
}

.content-item-box:nth-child(even) {
  padding-top: 0;
}

.content-item-box:last-child .content-item-line {
  border-left: 0;
}

.content-item-line {
  width: inherit;
  border-top: 1px solid green;
  border-left: 1px solid green;
  height: 48px;
}

.mobile-view {
  display: none;
  color: green;
}
@media (max-width: 600px) {
  .desktop-view {
    display: none;
  }
  .mobile-view {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
  }
  .mobile-view div {
    font-size: 1rem;
    font-weight: bold;
    text-align: center;
  }
  .mobile-view .triangle {
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-bottom: 20px solid green;
    transform: rotate(-90deg);
  }
}

.fourPillarsSection {
  margin-top: -250px;
  padding-top: 300px;
  padding-bottom: 80px;
  height: fit-content !important;
  height: 100vh;
  background: linear-gradient(to top, #1d2621 80%, #0e8741 100%);
}

@media (min-width: 768px) {
  .pillarLeftSection {
    width: 75%;
  }
}

@media (min-width: 1100px) {
  .pillarLeftSection {
    width: 55%;
  }
}

.fourPillarContainer {
  padding-bottom: 100px;
}

/* @media (max-width: 1100px) {
  .fourPillarsSection {
    display: none;
  }
} */

.sparkleUnderline {
  border: 0;
  height: 4px;
  opacity: 43%;
  background: linear-gradient(90deg, #f7fef5 0%, #1c2e23 100%);
  margin: 8px 0;
}

.circularOuterContainer {
  position: relative;
  transition: all 1.2s linear;
}

.circularInnerContainer {
  width: 300px;
  height: 300px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 1s linear;
  transform-origin: center center;
}

.sparkleCircle {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background: linear-gradient(180deg, #1b3024 0%, #2e6644 100%);
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  transition: all 1s linear;
  cursor: pointer;
}

.sparkleCircle:hover,
.sparkleCircle.active {
  background: linear-gradient(180deg, #effef5 0%, #bffed8 100%);
}

.sparkleCircleImg {
  width: 50%;
  height: 50%;
}

.sparkleCircle:nth-child(1) {
  bottom: -1.2rem;
}

.sparkleCircle:nth-child(2) {
  left: -1.2rem;
}

.sparkleCircle:nth-child(3) {
  top: -1.2rem;
}

.sparkleCircle:nth-child(4) {
  right: -1.3rem;
}

.sparkle-pillar-tabs {
  position: relative;
  padding: 12px 24px;
  background: #174b2d33;
  border-radius: 10px;
  border: 0.5px solid
    linear-gradient(
      113.15deg,
      rgba(255, 255, 255, 0.4) 27.83%,
      rgba(238, 237, 237, 0.2) 65.9%
    );
  /* max-width: 326px;
  overflow-x: auto;
  scrollbar-width: none; */
}

.sparkle-pillar-tabs .scroll-icon {
  right: 0px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}

.sparkle-pillar-tabs .item {
  cursor: pointer;
  position: relative;
  font-size: 14px;
  min-width: fit-content;
  transition: all 0.3s ease-in-out;
}

.sparkle-pillar-tabs .item.active {
  font-size: 16px;
  color: white;
}

.sparkle-pillar-tabs .item.active::after {
  content: "";
  position: absolute;
  bottom: -4px;
  left: 0;
  right: 0;
  height: 2px;
  width: 70px;
  border-bottom: 3px solid white;
}

.sparkle-pillar-tabs-content .item-content {
  display: none;
  animation: fadeInLeft 1.5s forwards;
}

.sparkle-pillar-tabs-content .item-content div {
  font-size: 16px;
}

.sparkle-pillar-tabs-content .item-content p {
  color: white;
  width: 100%;
  opacity: 65%;
}

.sparkle-pillar-tabs-content .item-content.active {
  display: flex;
  flex-flow: column;
  gap: 10px;
  color: white;
}

.mobile-view-water {
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: 1fr;
  margin: 0 auto;
  width: 100%;
}

.zero-water-content-box-1,
.zero-water-content-box-2 {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  width: calc(100% - 20px);
}

.zero-water-content-box-1 {
  align-items: start;
  height: 50px;
}

.zero-water-content-box-1 .content-line-item {
  height: 50px;
  border-left: 1px solid #2e6644;
  border-bottom: 1px solid #2e6644;
}

.zero-water-content-box-1 .content-line-item:first-child,
.zero-water-content-box-1 .content-line-item:last-child {
  border-bottom: 0;
}

.zero-water-content-box-1 .content-line-item:last-child {
  border-right: 0;
}

.zero-water-content-box-1 .content-line-item:first-child {
  border-left: 0;
}

.zero-water-content-box-2 {
  grid-template-columns: repeat(8, 1fr);
  gap: 0;
}

/* .zero-water-content-box-2 .content-mobile-box {
  border: 1px dashed red;
} */

.zero-water-content-box-1 {
  /* border: 1px solid red; */
}

.zero-water-content-box-2 {
  /* border: 1px solid green; */
}

.content-item-mobile {
  font-size: 14px;
  cursor: pointer;
  width: 20px;
  transition: all 0.3s ease-in-out;
  position: relative;
  text-align: start;
  margin-left: -10px;
}

.content-item-mobile.active {
  font-size: 20px;
  position: relative;
}

.content-item-mobile .water-arrow-up-icon {
  display: none;
  transition: all 0.5s ease-in-out;
  width: 15px;
  height: 15px;
}

.content-item-mobile.active .water-arrow-up-icon {
  display: inline-block;
  background-image: url(../images/icon/arrow-up-fill.svg);
  background-size: contain;
  background-repeat: no-repeat;
}

.fourPillarContainer .titleSection > div {
  font-family: var(--font-title-regular);
  font-weight: 400;
  letter-spacing: 1px;
}

@media (min-width: 1200px) {
  .zeroWaterDischargeImage {
    width: 90%;
  }
}

.smart-features-image {
  width: 150px;
  height: 150px;
}

/* .zero-dots-container {
  display: flex;
  gap: 20px;
  justify-content: space-between;
} */

.zero-dots-container .zero-dot {
  position: absolute;
  width: 20px;
  height: 20px;
  background-color: #0e8741;
  border-radius: 50%;
  transform: scale(0.25);
  cursor: pointer;
}

@media (max-width: 430px) {
  .zero-dots-container .zero-dot {
    transform: scale(0.15);
  }
}
@media (min-width: 768px) {
  .zero-dots-container .zero-dot {
    width: 40px;
    height: 40px;
  }
}

.zero-dot.active {
  animation: blip 1.5s 0.3s ease-in-out infinite;
}

.zero-dot[data-item="1"] {
  top: 58%;
  left: 55%;
}

.zero-dot[data-item="2"] {
  top: 58%;
  left: 61%;
}

.zero-dot[data-item="3"] {
  top: 35%;
  left: 34.5%;
}

.zero-dot[data-item="4"] {
  top: 18%;
  left: 87.5%;
}

.zero-dot[data-item="5"] {
  top: 62%;
  left: 95%;
}

.zero-dot[data-item="6"] {
  top: 56%;
  left: 24%;
}

.zero-dot[data-item="7"] {
  top: 28%;
  left: 14%;
}

/* @media (max-width: 458px) {
  .zero-dot[data-item="1"] {
    top: calc(58%);
    left: calc(55%);
  }

  .zero-dot[data-item="2"] {
    top: calc(58% - 10px);
    left: calc(61% - 9px);
  }

  .zero-dot[data-item="3"] {
    top: calc(35% - 12px);
    left: calc(34.5% - 10px);
  }

  .zero-dot[data-item="4"] {
    top: calc(18% - 10px);
    left: calc(87.5% - 10px);
  }

  .zero-dot[data-item="5"] {
    top: calc(62% - 10px);
    left: calc(95% - 10px);
  }

  .zero-dot[data-item="6"] {
    top: calc(56% - 10px);
    left: calc(24% - 10px);
  }

  .zero-dot[data-item="7"] {
    top: calc(28% - 10px);
    left: calc(14% - 10px);
  }
} */

.power-slider .swiper-slide {
  background: transparent !important;
  box-shadow: none !important;
  height: 340px;
}

.swiper-slide-prev-prev,
.swiper-slide-next-next {
  height: 280px;
  background: transparent;
}

.power-slider .swiper-slide-prev,
.power-slider .swiper-slide-next {
  height: 320px;
  background: transparent;
}

.power-slider .swiper-slide-active {
  height: 340px;
  background: transparent;
}

.swiper-slide-prev-prev img,
.swiper-slide-next-next img,
.swiper-slide-prev img,
.swiper-slide-next img,
.swiper-slide-active img {
  height: 100%;
  width: 100%;
}

.hidden-card-left img,
.hidden-card-right img {
  height: 280px;
  visibility: hidden;
}

.hidden-card-left-left img,
.hidden-card-right-right img {
  height: 280px;
  visibility: hidden;
}

@media (max-width: 450px) {
  main.sparkle-plus {
    overflow: hidden;
  }
}
